package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by tgs on 2020/2/9.
 */
public class EnterpriseDetailDTO implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String wxEnterpriseRelatedId;
	private String enterpriseName;
	private String wxEnterpriseId;
	private String enterpriseId;
	private String version;
	private int nodeCount;
	private String enterpriseLogo;
    /**
     * 导购编辑权限
     */
    private Integer clerkEditFlag;
    private String staffId;
	private String staffName;
	private Date createTime;
	private String brandName;
	private Integer wxEnterpriseType;
	private Integer memberOpenCardFlag;
	// 是否有权限访问 1是0否
	private int aclFlag = 1  ;
	private int defaultFlag ;

	private String conactsPhone;

	private String customerPhone;

    public int getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(int defaultFlag) {
        this.defaultFlag = defaultFlag;
    }

    public int getAclFlag() {
        return aclFlag;
    }

    public void setAclFlag(int aclFlag) {
        this.aclFlag = aclFlag;
    }

    public Integer getClerkEditFlag() {
        return clerkEditFlag;
    }

    public void setClerkEditFlag(Integer clerkEditFlag) {
        this.clerkEditFlag = clerkEditFlag;
    }

	public Integer getWxEnterpriseType() {
		return wxEnterpriseType;
	}

	public void setWxEnterpriseType(Integer wxEnterpriseType) {
		this.wxEnterpriseType = wxEnterpriseType;
	}

	public Integer getMemberOpenCardFlag() {
		return memberOpenCardFlag;
	}

	public void setMemberOpenCardFlag(Integer memberOpenCardFlag) {
		this.memberOpenCardFlag = memberOpenCardFlag;
	}

	public String getWxEnterpriseRelatedId() {
		return wxEnterpriseRelatedId;
	}
	public void setWxEnterpriseRelatedId(String wxEnterpriseRelatedId) {
		this.wxEnterpriseRelatedId = wxEnterpriseRelatedId;
	}
	public String getEnterpriseName() {
		return enterpriseName;
	}
	public void setEnterpriseName(String enterpriseName) {
		this.enterpriseName = enterpriseName;
	}
	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}
	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}
	public String getEnterpriseId() {
		return enterpriseId;
	}
	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public int getNodeCount() {
		return nodeCount;
	}
	public void setNodeCount(int nodeCount) {
		this.nodeCount = nodeCount;
	}
	public String getEnterpriseLogo() {
		return enterpriseLogo;
	}
	public void setEnterpriseLogo(String enterpriseLogo) {
		this.enterpriseLogo = enterpriseLogo;
	}
	public String getStaffId() {
		return staffId;
	}
	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}
	public String getStaffName() {
		return staffName;
	}
	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getBrandName() {
		return brandName;
	}
	public void setBrandName(String brandName) {
		this.brandName = brandName;
	}

	public String getConactsPhone() {
		return conactsPhone;
	}

	public void setConactsPhone(String conactsPhone) {
		this.conactsPhone = conactsPhone;
	}

	public String getCustomerPhone() {
		return customerPhone;
	}

	public void setCustomerPhone(String customerPhone) {
		this.customerPhone = customerPhone;
	}
}
